RubyGems Navigation menu

inspec-core 5.14.0

InSpec provides a framework for creating end-to-end infrastructure tests. You can use it for integration or even compliance testing. Create fully portable test profiles and use them in your workflow to ensure stability and security. Integrate InSpec in your change lifecycle for local testing, CI/CD, and deployment verification. This has local support only. See the `inspec` gem for full support.

Versions:

  1. 5.14.0 - April 21, 2022 (404 KB)
  2. 5.12.2 - April 08, 2022 (401 KB)
  3. 5.10.5 - March 23, 2022 (397 KB)
  4. 5.7.9 - March 17, 2022 (395 KB)
  5. 4.56.20 - April 20, 2022 (381 KB)
Show all versions (131 total)

Runtime Dependencies (22):

  • addressable ~> 2.4
  • chef-telemetry ~> 1.0, >= 1.0.8
  • faraday >= 0.9.0, < 1.5
  • faraday_middleware ~> 1.0
  • hashie >= 3.4, < 5.0
  • license-acceptance >= 0.2.13, < 3.0
  • method_source >= 0.8, < 2.0
  • mixlib-log ~> 3.0
  • multipart-post ~> 2.0
  • parallel ~> 1.9
  • parslet >= 1.5, < 2.0
  • pry ~> 0.13
  • rspec >= 3.9, <= 3.11
  • rspec-its ~> 1.2
  • rubyzip >= 1.2.2, < 3.0
  • semverse ~> 3.0
  • sslshake ~> 1.2
  • thor >= 0.20, < 2.0
  • tomlrb >= 1.2, < 2.1
  • train-core ~> 3.0
  • tty-prompt ~> 0.17
  • tty-table ~> 0.10
  • Owners:

    Pushed by:

    Authors:

    • Chef InSpec Team

    SHA 256 checksum:

    0a54b879b500bb330d385ac208d56218a3dc95985865b6ac4a792b704448af6d

    Total downloads 6,213,703

    For this version 6,311

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    Apache-2.0

    Required Ruby Version: >= 2.7

    Links: